
Redmine - Defect #37531

after RM upgrade: ActionView::Template::Error (Tried to load unspecified class:

ActiveSupport::HashWithIndifferentAccess)

2022-07-30 17:57 - Tomas Ch

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.2.7

Description

After migration from 4.1.5 to 4.2.7 everything works until ticket is open(viewed) or created. I can log time, create project, edit

whatever, but I cant touch ticket. When i click ticket I get Internal server error with this in rm logfile:

F, [2022-07-30T17:35:08.289490 #5377] FATAL -- :   

F, [2022-07-30T17:35:08.289527 #5377] FATAL -- : ActionView::Template::Error (Tried to load unspec

ified class: ActiveSupport::HashWithIndifferentAccess):

F, [2022-07-30T17:35:08.289721 #5377] FATAL -- :     21: 

    22: <% if @issue.safe_attribute? 'assigned_to_id' %>

    23: <p>

    24:   <%= f.select :assigned_to_id, principals_options_for_select(@issue.assignable_users, @is

sue.assigned_to),

    25:                   :include_blank => true, :required => @issue.required_attribute?('assigne

d_to_id') %>

    26:   <% if @issue.assignable_users.include?(User.current) %>

    27:     <a class="assign-to-me-link<%= ' hidden' if @issue.assigned_to_id == User.current.id %

>" href="#" data-id="<%= User.current.id %>"><%= l(:label_assign_to_me) %></a>

F, [2022-07-30T17:35:08.289761 #5377] FATAL -- :   

F, [2022-07-30T17:35:08.289793 #5377] FATAL -- : app/models/role.rb:233:in `permissions_all_tracke

rs'

 
Environment:

  Redmine version                4.2.7.stable

  Ruby version                   2.7.6-p219 (2022-04-12) [x86_64-linux]

  Rails version                  5.2.8.1

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

DB is Mariadb 10.6

Rails 5.2.8.1   

This update was done along with Ruby2.6 to Ruby2.7 switch.

History

#1 - 2022-07-30 19:46 - Tomas Ch

Problem is likely to be in DB

https://redmine.excello.cz/roles/permissions can be viewed without problem, but when I hit save, I get Internal server error.

However on next read, change is there, so it has been saved regardless internal server error.

#2 - 2022-07-31 05:35 - Go MAEDA

To run Redmine 4.2.7 with Rails 5.2.8.1, you have to update config/application.rb.

Download branches export:branches/4.2-stable/config/application.rb and replace config/application.rb in your system with the downloaded one.

#3 - 2022-07-31 18:36 - Tomas Ch

- Status changed from New to Resolved
https://redmine.excello.cz/roles/permissions
https://www.redmine.org/projects/redmine/repository/svn/raw/branches/4.2-stable/config/application.rb


It solved issue. It is problem related to package of the distro then.

Thank you for support.

#4 - 2022-08-01 01:22 - Go MAEDA

- Category set to Rails support

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for your feedback. Closing.
